unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Memo2: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if opendialog1.Execute then
  begin
     SaveDialog1.filename:=opendialog1.filename;
     memo1.Lines.LoadFromFile(opendialog1.filename);
     Button2Click(sender);
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var s:string;
 i:integer;
begin
     s:='';
     for i:=1 to memo1.lines.count do
       s:=s+memo1.lines[i-1];
     memo1.lines.clear;
     memo1.lines.add(s);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if Savedialog1.Execute then
  begin
     memo1.Lines.SavetoFile(Savedialog1.filename);
  end;

end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   memo1.clear;
   memo1.PasteFromClipboard;
   Button2Click(sender);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
   memo1.SelectAll;
   memo1.CopyToClipboard;
end;

end.
